"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const headers_1 = require("./headers");
class SecureHeaders {
    constructor(options) {
        this.options = options;
    }
    headers() {
        const headers = headers_1.headerObject(this.options);
        return headers;
    }
    adonis(response) {
        headers_1.setHeaderTuple(response, this.options);
    }
    express(res) {
        headers_1.setCommonHeader(res, this.options);
    }
    fastify(reply) {
        headers_1.setHeaderTuple(reply, this.options);
    }
    hapi(response) {
        headers_1.setHeaderTuple(response, this.options);
    }
    koa(ctx) {
        const headers = headers_1.headerObject(this.options);
        ctx.set(headers);
    }
    meteor(res) {
        headers_1.setHeader(res, this.options);
    }
    nest(res) {
        headers_1.setCommonHeader(res, this.options);
    }
    polka(res) {
        headers_1.setHeader(res, this.options);
    }
    restify(response) {
        headers_1.setHeaderTuple(response, this.options);
    }
    sails(res) {
        headers_1.setCommonHeader(res, this.options);
    }
    total(res) {
        headers_1.setHeaderTuple(res, this.options);
    }
}
exports.SecureHeaders = SecureHeaders;
