import { SecureHeadersOptions } from "./utils";
declare class HTTPHeader {
    header: string;
    value: string;
    info: string;
    constructor(header: string, value: string, info?: string);
}
export declare class SecurityHeaders {
    static server: HTTPHeader;
    static httpStrictTransportSecurity: HTTPHeader;
    static xFrameOptions: HTTPHeader;
    static xXssProtection: HTTPHeader;
    static xContentTypeOptions: HTTPHeader;
    static contentSecurityPolicy: HTTPHeader;
    static referrerPolicy: HTTPHeader;
    static cacheControl: HTTPHeader;
    static pragma: HTTPHeader;
    static expires: HTTPHeader;
    static featurePolicy: HTTPHeader;
    static secureHeaders(options: SecureHeadersOptions): HTTPHeader[];
}
export declare function headerObject(options: SecureHeadersOptions): Headers;
export declare function setCommonHeader(res: any, options: SecureHeadersOptions): void;
export declare function setHeaderTuple(response: any, options: SecureHeadersOptions): void;
export declare function setHeader(res: any, options: SecureHeadersOptions): void;
export interface Headers {
    Server?: string;
    "Strict-Transport-Security"?: string;
    "X-Frame-Options"?: string;
    "X-XSS-Protection"?: string;
    "X-Content-Type-Options"?: string;
    "Content-Security-Policy"?: string;
    "Referrer-Policy"?: string;
    Pragma?: string;
    Expires?: string;
    "Cache-control"?: string;
    "Feature-Policy"?: string;
    [key: string]: string | undefined;
}
export {};
