import { Content, CSP, Cache, HSTS, XFO, XXP, Feature, Referrer, Server } from "./policies";
export interface SecureCookieOptions {
    path?: string;
    secure?: boolean;
    httpOnly?: boolean;
    sameSite?: SameSite;
    expires?: boolean | number;
    [key: string]: boolean | string | undefined | number | SameSite;
}
export interface SecureHeadersOptions {
    server?: Server;
    hsts?: HSTS;
    xfo?: XFO;
    xxp?: XXP;
    content?: Content;
    csp?: CSP;
    referrer?: Referrer;
    cache?: Cache;
    feature?: Feature;
    [key: string]: Content | CSP | Cache | HSTS | XFO | XXP | Feature | Referrer | Server | undefined;
}
export declare function parseHeaderOptions(options: SecureHeadersOptions): SecureHeadersOptions;
export declare function parseCookieOptions(options: SecureCookieOptions): SecureCookieOptions;
interface Lax {
    value: "Lax";
}
interface NotSet {
    value: 0;
}
interface Strict {
    value: "Strict";
}
export declare type SameSite = Lax | NotSet | Strict;
export declare function sameSiteOptions(option: SameSite): false | "Lax" | "Strict";
export {};
